import bodyParser from 'body-parser';
import express from 'express';
import passport from 'passport';
import { default as nonSecureRoutes } from "./routes/routes.mjs"
import { default as secureRoutes } from "./routes/secure-routes.mjs"
import "./auth/auth.mjs"
const app = express();
const port = 3000;
app.use(passport.initialize())
app.use(bodyParser.json())
app.use("/", nonSecureRoutes)
app.use("/app", secureRoutes)

app.listen(port, () => {
	return console.log(`Express is listening at http://localhost:${port}`);
});

